GTransportServerChannelFactory (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.transport.gnet.GTransportServerChannelFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.transport.gnet
Class GTransportServerChannelFactory

    java.lang.Object
      org.codehaus.activemq.transport.gnet.GTransportServerChannelFactory

All Implemented Interfaces:
  TransportServerChannelFactory

public class GTransportServerChannelFactory
extends Object
implements TransportServerChannelFactory

An implementation of a TransportServerChannelFactory which uses the Geronimo network layer for connectivity.

Version:
  $Revision: 1.7 $

Constructor Summary
`GTransportServerChannelFactory()`

Method Summary
`TransportServerChannel` | `create(WireFormat wireFormat, URI bindAddress)` Bind a ServerChannel to an address
`static void` | `init(org.apache.geronimo.network.SelectorManager sm, org.apache.geronimo.pool.ThreadPool tp, org.apache.geronimo.pool.ClockPool cp)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GTransportServerChannelFactory

    public GTransportServerChannelFactory()

Method Detail

### init

    public static void init(org.apache.geronimo.network.SelectorManager sm,
                            org.apache.geronimo.pool.ThreadPool tp,
                            org.apache.geronimo.pool.ClockPool cp)
                     throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### create

    public TransportServerChannel create(WireFormat wireFormat,
                                         URI bindAddress)
                                  throws JMSException

  Bind a ServerChannel to an address

  Specified by:
    `create` in interface `TransportServerChannelFactory`
  Parameters:
    `wireFormat` -
    `bindAddress` -
  Returns:
    the TransportChannel bound to the remote node
  Throws:
    `JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.